• Este debate tiene 3 respuestas, 2 mensajes y ha sido actualizado por última vez el hace 3 meses, 4 semanas por oscarmingte.
Viendo 4 entradas - de la 1 a la 4 (de un total de 4)

Duda Extension Dependientes



  • Jon Ander (IGN)
    Participante
    Jon Ander (IGN)

    Buenas,

    Me ha surgido una duda, cuando publicamos una extensión y hay otra instalada que depende de ella, la tenemos que desinstalar y despublicar, para que se podamos instalar la extensión “padre”, la duda es:

    Hay que actualizar el app.json y las dependencias en la extensión “hijo”, o coge siempre la ultima version instalada del “padre”?

    Gracias.

    Saludos.

    #1024322

    oscarmingte
    Participante
    oscarmingte

    Hola , dependiendo de la versión en la que estés en 2018 por ejemplo si te obliga pero en bc saas con que hagas el download símbolos es suficiente.

    Un saludo Óscar.

    #1024325

    Jon Ander (IGN)
    Participante
    Jon Ander (IGN)

    Buenas Oscar,

    Gracias por la respuesta, pero creo que no me he explicado.

    Para programar con modificaciones realizadas, esta claro que en cualquier version, en la dependiente tienes que actualizar los simbolos.

    Pero si solo modificas la extension “padre” y le subes la version, y no descargas los simbolos en la extension “hijo”, la extension “hijo” actua con la version “padre” actual, o con la anterior?

    He realizado una prueba simple, y parece que ejecuta el codigo, de la version instalada, pero entonces, no entiendo porque en el app.json te obliga a poner la version de la que depende.. si luego (al parecer) no le hace ni caso…

    Gracias de nuevo.

    Saludos.

    #1024326

    oscarmingte
    Participante
    oscarmingte

    Hola de nuevo , pues si a mi me paso algo parecido y no encontré explicación tampoco.

    Un saludo.

    #1024327
Viendo 4 entradas - de la 1 a la 4 (de un total de 4)

Debe iniciar sesión para responder a este tema.